Supercheck LogoSupercheck
CLI Tokens

Update a CLI token

Enable, disable, or rename a CLI token.

PATCH
/api/cli-tokens/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

In: header

Path Parameters

id*string

CLI token ID

Formatuuid

Request Body

application/json

enabled?boolean
name?string

Response Body

application/json

application/json

application/json

curl -X PATCH "https://demo.supercheck.dev/api/cli-tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "token": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "enabled": true
  }
}
{
  "error": "Unauthorized"
}
{
  "error": "Not found"
}